For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dev Portal
DocsAPI ReferenceLearnCommunityChangelog
DocsAPI ReferenceLearnCommunityChangelog
  • Overview
    • Quick Start
    • Sandboxes
    • Tools & SDKs
    • Support
  • Docs
    • Archive
        • V2 API
              • GETGet Company Sales Reps
              • PUTUpdate Company Sales reps
              • GETGet Companies & Sales reps
    • Closed Beta Programs
Dev Portal
LogoLogo
ArchiveB2B EditionV2 APISales Rep

Get Companies & Sales reps

Deprecated
GET
https://api-b2b.bigcommerce.com/api/v2/io/sales-reps/companies
GET
/api/v2/io/sales-reps/companies
$curl https://api-b2b.bigcommerce.com/api/v2/io/sales-reps/companies \
> -H "authToken: <apiKey>"
1{
2 "code": 200,
3 "data": {
4 "list": [
5 {
6 "catalogId": "2",
7 "city": "San Francisco",
8 "companyEmail": "contact@acme.com",
9 "companyId": "34",
10 "companyName": "Acme Corporation",
11 "country": "US",
12 "salesRepCount": "2",
13 "state": "CA",
14 "zipCode": "94102",
15 "addressLine1": "123 Main Street",
16 "addressLine2": "Suite 200",
17 "description": "Acme Corporation"
18 }
19 ],
20 "pagination": {
21 "limit": 10,
22 "offset": 0,
23 "totalCount": 1
24 }
25 },
26 "message": "SUCCESS"
27}
Get all companies and their sales reps, default order by company
Was this page helpful?
Previous

Update Company Sales reps

Next

Update A Company User

Built with

Authentication

authTokenstring
API Key authentication via header

Headers

authTokenstringRequired
Auth token in header.

Query parameters

offsetdoubleOptional

Pagination offset default: 0

limitdoubleOptional

Pagination limit default: 10

groupBydoubleOptional

Group by(‘2’ for company, ‘1’ for sales reps)

orderBydoubleOptional

Order by default DESC choice (DESC ASC)

Response

Response Success
codedouble
Response status code
dataobject
Response data
messagestring
Response message

Errors

404
Not Found Error